<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="WCFSecurityCenter" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="WCFSecurityCenter" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="WCFSecurityCenter/Imports">
      <xsd:import schemaLocation="http://10.16.25.102:8084/SecurityCenter.svc?xsd=xsd0" namespace="WCFSecurityCenter" />
      <xsd:import schemaLocation="http://10.16.25.102:8084/SecurityCenter.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import schemaLocation="http://10.16.25.102:8084/SecurityCenter.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="ISecurityCenter_Login_InputMessage">
    <wsdl:part name="parameters" element="tns:Login" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_Login_OutputMessage">
    <wsdl:part name="parameters" element="tns:LoginResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getRole_InputMessage">
    <wsdl:part name="parameters" element="tns:getRole" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getRole_OutputMessage">
    <wsdl:part name="parameters" element="tns:getRoleResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getUserInfo_InputMessage">
    <wsdl:part name="parameters" element="tns:getUserInfo" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getUserInfo_OutputMessage">
    <wsdl:part name="parameters" element="tns:getUserInfoResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_appList_InputMessage">
    <wsdl:part name="parameters" element="tns:appList" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_appList_OutputMessage">
    <wsdl:part name="parameters" element="tns:appListResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_LogOut_InputMessage">
    <wsdl:part name="parameters" element="tns:LogOut" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_LogOut_OutputMessage">
    <wsdl:part name="parameters" element="tns:LogOutResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getEmail_InputMessage">
    <wsdl:part name="parameters" element="tns:getEmail" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getEmail_OutputMessage">
    <wsdl:part name="parameters" element="tns:getEmailResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regCreate_InputMessage">
    <wsdl:part name="parameters" element="tns:regCreate" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regCreate_OutputMessage">
    <wsdl:part name="parameters" element="tns:regCreateResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regUpdate_InputMessage">
    <wsdl:part name="parameters" element="tns:regUpdate" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regUpdate_OutputMessage">
    <wsdl:part name="parameters" element="tns:regUpdateResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regDelete_InputMessage">
    <wsdl:part name="parameters" element="tns:regDelete" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regDelete_OutputMessage">
    <wsdl:part name="parameters" element="tns:regDeleteResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regIsExist_InputMessage">
    <wsdl:part name="parameters" element="tns:regIsExist" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_regIsExist_OutputMessage">
    <wsdl:part name="parameters" element="tns:regIsExistResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_genNewUser_InputMessage">
    <wsdl:part name="parameters" element="tns:genNewUser" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_genNewUser_OutputMessage">
    <wsdl:part name="parameters" element="tns:genNewUserResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_genNewPass_InputMessage">
    <wsdl:part name="parameters" element="tns:genNewPass" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_genNewPass_OutputMessage">
    <wsdl:part name="parameters" element="tns:genNewPassResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_IsDefaultAppExist_InputMessage">
    <wsdl:part name="parameters" element="tns:IsDefaultAppExist" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_IsDefaultAppExist_OutputMessage">
    <wsdl:part name="parameters" element="tns:IsDefaultAppExistResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_UpdateDefaultApp_InputMessage">
    <wsdl:part name="parameters" element="tns:UpdateDefaultApp" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_UpdateDefaultApp_OutputMessage">
    <wsdl:part name="parameters" element="tns:UpdateDefaultAppResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getDefaultApp_InputMessage">
    <wsdl:part name="parameters" element="tns:getDefaultApp" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getDefaultApp_OutputMessage">
    <wsdl:part name="parameters" element="tns:getDefaultAppResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployeesData_InputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeesData" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployeesData_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeesDataResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetOrganizationStruct_InputMessage">
    <wsdl:part name="parameters" element="tns:GetOrganizationStruct" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetOrganizationStruct_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetOrganizationStructResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getUserLogged_InputMessage">
    <wsdl:part name="parameters" element="tns:getUserLogged" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getUserLogged_OutputMessage">
    <wsdl:part name="parameters" element="tns:getUserLoggedResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_crUserLogged_InputMessage">
    <wsdl:part name="parameters" element="tns:crUserLogged" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_crUserLogged_OutputMessage">
    <wsdl:part name="parameters" element="tns:crUserLoggedResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_chUserLogged_InputMessage">
    <wsdl:part name="parameters" element="tns:chUserLogged" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_chUserLogged_OutputMessage">
    <wsdl:part name="parameters" element="tns:chUserLoggedResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_delUserLogged_InputMessage">
    <wsdl:part name="parameters" element="tns:delUserLogged" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_delUserLogged_OutputMessage">
    <wsdl:part name="parameters" element="tns:delUserLoggedResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getRolePR_InputMessage">
    <wsdl:part name="parameters" element="tns:getRolePR" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getRolePR_OutputMessage">
    <wsdl:part name="parameters" element="tns:getRolePRResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployees_InputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployees" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployees_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeesResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployeeDatas_InputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeeDatas" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployeeDatas_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeeDatasResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployeesNum_InputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeesNum" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_GetEmployeesNum_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetEmployeesNumResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getUserRole_InputMessage">
    <wsdl:part name="parameters" element="tns:getUserRole" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_getUserRole_OutputMessage">
    <wsdl:part name="parameters" element="tns:getUserRoleResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_ChangePassword_InputMessage">
    <wsdl:part name="parameters" element="tns:ChangePassword" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_ChangePassword_OutputMessage">
    <wsdl:part name="parameters" element="tns:ChangePasswordResponse" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_IsPasswordMustBeChanged_InputMessage">
    <wsdl:part name="parameters" element="tns:IsPasswordMustBeChanged" />
  </wsdl:message>
  <wsdl:message name="ISecurityCenter_IsPasswordMustBeChanged_OutputMessage">
    <wsdl:part name="parameters" element="tns:IsPasswordMustBeChangedResponse" />
  </wsdl:message>
  <wsdl:portType name="ISecurityCenter">
    <wsdl:operation name="Login">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/Login" message="tns:ISecurityCenter_Login_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/LoginResponse" message="tns:ISecurityCenter_Login_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getRole">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getRole" message="tns:ISecurityCenter_getRole_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getRoleResponse" message="tns:ISecurityCenter_getRole_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getUserInfo">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getUserInfo" message="tns:ISecurityCenter_getUserInfo_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getUserInfoResponse" message="tns:ISecurityCenter_getUserInfo_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="appList">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/appList" message="tns:ISecurityCenter_appList_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/appListResponse" message="tns:ISecurityCenter_appList_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="LogOut">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/LogOut" message="tns:ISecurityCenter_LogOut_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/LogOutResponse" message="tns:ISecurityCenter_LogOut_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getEmail">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getEmail" message="tns:ISecurityCenter_getEmail_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getEmailResponse" message="tns:ISecurityCenter_getEmail_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="regCreate">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/regCreate" message="tns:ISecurityCenter_regCreate_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/regCreateResponse" message="tns:ISecurityCenter_regCreate_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="regUpdate">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/regUpdate" message="tns:ISecurityCenter_regUpdate_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/regUpdateResponse" message="tns:ISecurityCenter_regUpdate_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="regDelete">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/regDelete" message="tns:ISecurityCenter_regDelete_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/regDeleteResponse" message="tns:ISecurityCenter_regDelete_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="regIsExist">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/regIsExist" message="tns:ISecurityCenter_regIsExist_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/regIsExistResponse" message="tns:ISecurityCenter_regIsExist_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="genNewUser">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/genNewUser" message="tns:ISecurityCenter_genNewUser_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/genNewUserResponse" message="tns:ISecurityCenter_genNewUser_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="genNewPass">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/genNewPass" message="tns:ISecurityCenter_genNewPass_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/genNewPassResponse" message="tns:ISecurityCenter_genNewPass_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="IsDefaultAppExist">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/IsDefaultAppExist" message="tns:ISecurityCenter_IsDefaultAppExist_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/IsDefaultAppExistResponse" message="tns:ISecurityCenter_IsDefaultAppExist_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="UpdateDefaultApp">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/UpdateDefaultApp" message="tns:ISecurityCenter_UpdateDefaultApp_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/UpdateDefaultAppResponse" message="tns:ISecurityCenter_UpdateDefaultApp_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getDefaultApp">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getDefaultApp" message="tns:ISecurityCenter_getDefaultApp_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getDefaultAppResponse" message="tns:ISecurityCenter_getDefaultApp_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetEmployeesData">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeesData" message="tns:ISecurityCenter_GetEmployeesData_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeesDataResponse" message="tns:ISecurityCenter_GetEmployeesData_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetOrganizationStruct">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetOrganizationStruct" message="tns:ISecurityCenter_GetOrganizationStruct_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetOrganizationStructResponse" message="tns:ISecurityCenter_GetOrganizationStruct_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getUserLogged">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getUserLogged" message="tns:ISecurityCenter_getUserLogged_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getUserLoggedResponse" message="tns:ISecurityCenter_getUserLogged_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="crUserLogged">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/crUserLogged" message="tns:ISecurityCenter_crUserLogged_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/crUserLoggedResponse" message="tns:ISecurityCenter_crUserLogged_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="chUserLogged">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/chUserLogged" message="tns:ISecurityCenter_chUserLogged_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/chUserLoggedResponse" message="tns:ISecurityCenter_chUserLogged_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="delUserLogged">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/delUserLogged" message="tns:ISecurityCenter_delUserLogged_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/delUserLoggedResponse" message="tns:ISecurityCenter_delUserLogged_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getRolePR">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getRolePR" message="tns:ISecurityCenter_getRolePR_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getRolePRResponse" message="tns:ISecurityCenter_getRolePR_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetEmployees">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployees" message="tns:ISecurityCenter_GetEmployees_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeesResponse" message="tns:ISecurityCenter_GetEmployees_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetEmployeeDatas">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeeDatas" message="tns:ISecurityCenter_GetEmployeeDatas_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeeDatasResponse" message="tns:ISecurityCenter_GetEmployeeDatas_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetEmployeesNum">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeesNum" message="tns:ISecurityCenter_GetEmployeesNum_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/GetEmployeesNumResponse" message="tns:ISecurityCenter_GetEmployeesNum_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="getUserRole">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/getUserRole" message="tns:ISecurityCenter_getUserRole_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/getUserRoleResponse" message="tns:ISecurityCenter_getUserRole_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ChangePassword">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/ChangePassword" message="tns:ISecurityCenter_ChangePassword_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/ChangePasswordResponse" message="tns:ISecurityCenter_ChangePassword_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="IsPasswordMustBeChanged">
      <wsdl:input wsaw:Action="WCFSecurityCenter/ISecurityCenter/IsPasswordMustBeChanged" message="tns:ISecurityCenter_IsPasswordMustBeChanged_InputMessage" />
      <wsdl:output wsaw:Action="WCFSecurityCenter/ISecurityCenter/IsPasswordMustBeChangedResponse" message="tns:ISecurityCenter_IsPasswordMustBeChanged_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
</wsdl:definitions>